Make WordPress Core

Opened 16 months ago

Closed 16 months ago

Last modified 13 months ago

#57281 closed task (blessed) (fixed)

Update PHPMailer to 6.7.0

Reported by: jrf's profile jrf Owned by: sergeybiryukov's profile SergeyBiryukov
Milestone: 6.2 Priority: normal
Severity: normal Version:
Component: External Libraries Keywords: add-to-field-guide has-patch
Focuses: Cc:

Description

PHPMailer 6.7. has just been released. Mostly a bug fix release, though it also contains some PHP 8.1 related improvements.

Full details:

I've reviewed the diff and the changes look sensible to me, so I would recommend an update.

Previously: #53430, #53953, #54514, #55187, #55277, #55976, #56016, #56413, #56772

Change History (5)

#1 @SergeyBiryukov
16 months ago

  • Owner set to SergeyBiryukov
  • Resolution set to fixed
  • Status changed from new to closed

In 54937:

External Libraries: Upgrade PHPMailer to version 6.7.

This is a bug fix release which also contains some PHP 8.1 related improvements.

References:

Follow-up to [50628], [50799], [51169], [51634], [51635], [52252], [52749], [52811], [53500], [53535], [53917], [54427].

Props jrf, Synchro.
Fixes #57281.

#2 @jrf
16 months ago

FYI: PHPMailer 6.7.1 has just been released, but aside from the version number it does not contain any changes to the files included in WP, so AFAIC no update is needed.

Refs:

This ticket was mentioned in PR #3839 on WordPress/wordpress-develop by @kapilpaul.


15 months ago
#3

  • Keywords has-patch added; needs-patch removed

@mukesh27 commented on PR #3839:


15 months ago
#4

@jrfnl Can you please review it when you get time? Do we needs to open new ticket or can we commit in same ticket?

@jrf commented on PR #3839:


13 months ago
#5

Closing as superseded by Trac https://core.trac.wordpress.org/ticket/57874

Note: See TracTickets for help on using tickets.